%define upstream_name    HTTP-Tiny-Mech
%define upstream_version 1.001002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Wrap a WWW::Mechanize instance in an HTTP::Tiny compatible interface
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This code is somewhat poorly documented, and highly experimental.

Its the result of a quick bit of hacking to get MetaCPAN::API working
faster via the WWW::Mechanize::Cached module ( and gaining cache
persistence via CHI )

It works so far for this purpose.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc LICENSE Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1504715
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1284109
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 kekepower <kekepower> 1.1.2-1.mga7
+ Revision: 1216955
- imported package perl-HTTP-Tiny-Mech


* Tue Apr 10 2018 cpan2dist 1.001002-1mga
- initial mageia release, generated with cpan2dist
